# AIEventController Class Reference

Class that handles all event related functions. More...

`#include <ai_event.hpp>`

Inheritance diagram for AIEventController:

## Static Public Member Functions
static const char * | GetClassName ()
| The name of the class, needed by several sub-processes.
static bool | IsEventWaiting ()
| Check if there is an event waiting.
static AIEvent * | GetNextEvent ()
| Get the next event.
static void | InsertEvent (AIEvent *event)
| Insert an event to the queue for the company.
static void | FreeEventPointer ()
| Free the event pointer.
## Static Private Member Functions
static void | CreateEventPointer ()
| Create the event pointer.

## Detailed Description

Class that handles all event related functions.

Note:
  it is not needed to create an instance of AIEvent to access it, as all members are static, and all data is stored AI-wide.

Definition at line 79 of file ai_event.hpp.

## Member Function Documentation

void AIEventController::FreeEventPointer | ( |  | ) | `[static]`

Free the event pointer.

Note:
  DO NOT CALL YOURSELF; leave it to the internal AI programming.

Definition at line 27 of file ai_event.cpp.

References AIObject::GetEventPointer().

AIEvent * AIEventController::GetNextEvent | ( |  | ) | `[static]`

Get the next event.

Returns:
  a class of the event-child issues.

Definition at line 50 of file ai_event.cpp.

References CreateEventPointer(), and AIObject::GetEventPointer().

void AIEventController::InsertEvent | ( | AIEvent * | event | ) | `[static]`

Insert an event to the queue for the company.

Parameters:

  | event | The event to insert.

Note:
  DO NOT CALL YOURSELF; leave it to the internal AI programming.

Definition at line 62 of file ai_event.cpp.

References CreateEventPointer(), and AIObject::GetEventPointer().

Referenced by AI::NewEvent().

bool AIEventController::IsEventWaiting | ( |  | ) | `[static]`

Check if there is an event waiting.

Returns:
  true if there is an event on the stack.

Definition at line 42 of file ai_event.cpp.

References CreateEventPointer(), and AIObject::GetEventPointer().

The documentation for this class was generated from the following files:

- src/ai/api/ai_event.hpp
- src/ai/api/ai_event.cpp